# Kodeks Postępowania
## Nasza Deklaracja

W celu wspierania otwartego i przyjaznego środowiska, my — jako współtwórcy, 
kontrybutorzy i opiekunowie — zobowiązujemy się dopilnować, aby uczestnictwo 
oraz przynależność do naszej społeczności były pozbawione dyskryminacji bez 
względu na fizyczność, doświadczenie, kolor skóry, narodowość, niepełnosprawność, 
orientację i identyfikację seksualną, pochodzenie etniczne, poglądy polityczne, 
religię, wiek czy wygląd zewnętrzny.

Zobowiązujemy się działać i reagować w sposób, który promuje otwartą, przyjazną, 
różnorodną i zdrową społeczność.

## Nasze Standardy

Wśród przykładów zachowania, które przyczyniają się do tworzenia pozytywnego 
środowiska dla społeczności, są:

* Wykazywanie empatii wobec innych członków społeczności
* Okazywanie szacunku dla różnych punktów widzenia i osobistych doświadczeń
* Przyjmowanie konstruktywnej krytyki z wdzięcznością
* Przyjmowanie odpowiedzialności za nasze błędy, wyciąganie wniosków z ich 
  doświadczenia oraz wyrażanie współczucia tym, których dotknęły
* Skupianie się na tym, co dobre dla całej społeczności, a nie jednostki 
  społecznej
    
Wśród przykładów zachowania, którego nie będziemy akceptować, są:
    
* Używanie języka i grafik o podtekście seksualnym, okazywanie niepożądanego 
  zainteresowania seksualnego, a także zaloty
* Trollowanie, obraźliwe bądź urągające komentarze oraz ataki osobiste 
  bądź polityczne
* Nękanie, zarówno na forum publicznym jak i prywatne
* Publikowanie danych osobistych innych osób — takich jak adres fizyczny 
  czy elektroniczny — bez ich wyraźnej zgody
* Naruszenie jakichkolwiek praw lub wolności innych osób, w tym w szczególności 
  naruszanie prawa powszechnie obowiązującego
* Inne zachowania, które mogłyby zostać uznane za nieodpowiednie w kontekście 
  profesjonalnym
    
## Nasza Odpowiedzialność

Opiekunowie społeczności są odpowiedzialni za objaśnianie i egzekwowanie 
standardów akceptowalnego zachowania i reagowanie na wszelkie przypadki 
nieodpowiedniego zachowania, w sposób sprawiedliwy i adekwatny do sytuacji.

Opiekunowie społeczności mają prawo do i są odpowiedzialni za usuwanie, 
edycję oraz odrzucanie komentarzy, zmian w kodzie (ang. commit), edycji Wiki, 
oraz innych treści, które łamią niniejszy Kodeks Postępowania, oraz mają prawo 
tymczasowo lub na stałe zablokować dostęp do projektu każdemu ze współpracowników: 
w przypadku gróźb bądź obraźliwych komentarzy pod adresem innych współpracowników, 
a także innych zachowań, które uznają za nieodpowiednie lub szkodliwe.

## Zakres działania

Ten Kodeks Postępowania ma zastosowanie wewnątrz społeczności, a w przypadku 
reprezentowania społeczności przez współpracownika — także na zewnątrz projektu. 
Do przykładów reprezentowania społeczności zalicza się używanie oficjalnego adresu 
e-mail, publikowanie na oficjalnym koncie w mediach społecznościowych lub branie 
udziału w wydarzeniu (zarówno w Internecie, jak i poza nim) jako oficjalny 
przedstawiciel społeczności.

## Egzekwowanie

Przypadki nękania, gróźb oraz innych form nieakceptowalnego zachowania mogą być 
zgłaszane do opiekunów społeczności pod adresem 
[protego@safesafe.app](mailto:protego@safesafe.app). 
Wszystkie skargi zostaną odpowiednio rozpatrzone oraz podjęte zostaną działania 
uznane za konieczne i odpowiednie do sytuacji.

Wszyscy opiekunowie społeczności mają obowiązek zachowania tożsamości osoby 
zgłaszającej incydent w tajemnicy.

## Wytyczne dotyczące Egzekwowania

W rozstrzyganiu konsekwencji wszelkich czynów, które łamią niniejszy 
Kodeks Postępowania, my — jako współtwórcy, kontrybutorzy i opiekunowie 
— zobowiązujemy się przestrzegąć tych Wytycznych Wpływu na Społeczność:

### 1. Korekcja

__Wpływ na Społeczność__: Używanie nieprzyjaznego języka lub innych form wypowiedzi 
uważanych za nieetyczne i nieprzyjazne dla społeczności.

__Konsekwencje__: Bezpośrednie, pisemne ostrzeżenie od opiekunów społeczności, 
klasyfikujące naturę wykroczenia oraz objaśnienie dlaczego takie zachowanie 
jest niestosowne. Może wystąpić prośba o publiczne przeprosiny.

### 2. Ostrzeżenie

__Wpływ na Społeczność__: Wykroczenie spowodowane jednym incydentem lub serią zdarzeń.

__Konsekwencje__: Ostrzeżenie o konsekwencjach w przypadku kontynuowania niepoprawnego 
zachowania. Brak interakcji z zaangażowanymi osobami, wliczając w to dobrowolną 
interakcję z osobami odpowiedzialnymi za Egzekwowanie Kodeksu Postępowania przez 
określony okres czasu. Wliczono również unikanie interakcji w przestrzeniach 
społecznościowych jak i kanałach zewnętrznych jak media społecznościowe. 
Łamanie tych zasad może prowadzić do Tymczasowej lub Permanentnej Blokady.

### 3. Tymczasowa Blokada

__Wpływ na Społeczność__: Poważne łamanie standardów społeczności, wliczając w to 
powtarzające się niewłaściwe zachowanie.

__Konsekwencje__: Tymczasowa blokada we wszelkich metodach interakcji i komunikacji 
publicznej ze społecznością przez określony okres czasu. W tym okresie czasu 
niedozwolona jest żadna forma publicznej i prywatnej interakcji z zaangażowanymi 
osobami, wliczając w to dobrowolną interakcję z osobami odpowiedzialnymi 
za Egzekwowanie Kodeksu Postępowania. Łamanie tych zasad może prowadzić 
do Permanentnej Blokady.

### 4. Permanentna Blokada

__Wpływ na Społeczność__: Demonstrowanie szeregu zachowań łamiących standardy 
społeczności, wliczając w to powtarzające się niewłaściwe zachowanie, nękanie 
lub dyskredytacja jednostki lub grup społecznych, a także jakiekolwiek naruszenie 
prawa powszechnie obowiązującego.

__Konsekwencje__: Permanentna blokada we wszelkich metodach interakcji i komunikacji 
publicznej ze społecznością.

## Autorstwo

Ten Kodeks Postępowania został zaadaptowany z Contributor Covenant w wersji 2.0, 
dostępnej pod adresem https://www.contributor-covenant.org/version/2/0/code_of_conduct.html 
(w języku angielskim).

Wytyczne Wpływu na Społeczność są inspirowane: 
[Drabiną Egzekucyjną Fundacji Mozilla](https://github.com/mozilla/diversity).

